## swift 1.0.2

=== doc/Makefile ===
# Copyright (c) 2010 OpenStack, LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
export PYTHONPATH    = ../

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Swift.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Swift.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
swift (1.0.2-0ubuntu1) maverick; urgency=low

  * Initial upload to Ubuntu (FFe: LP #620367).

 -- Soren Hansen <soren@ubuntu.com>  Wed, 01 Sep 2010 11:25:31 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Barton <michael.barton@rackspace.com>
Uploaders: Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>
Build-Depends: debhelper (>= 7.0.50~),
 python-all,
 python-support (>= 0.90),
 python-openssl,
 python-setuptools,
 python-webob (>= 0.9.7.1~),
 python-simplejson,
 python-xattr,
 net-tools,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
 python-nose,
 python-sphinx
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/swift
Vcs-Browser: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk


Package: python-swift
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-openssl,
 python-setuptools,
 python-webob (>= 0.9.7.1~),
 python-simplejson,
 python-xattr,
 net-tools,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: a distributed, virtual object store - Python libraries
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, adduser
Provides: ${python:Provides}
Description: a distributed, virtual object store - common files
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 Files needed by all the other Swift packages.

Package: swift-proxy
Architecture: all
Depends: swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: a distributed, virtual object store - proxy server
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 The swift proxy server.

Package: swift-object
Architecture: all
Depends: swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: a distributed, virtual object store - object server
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 The swift object server.

Package: swift-container
Architecture: all
Depends: swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: a distributed, virtual object store - container server
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 The swift container server.

Package: swift-account
Architecture: all
Depends: swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: a distributed, virtual object store - account server
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 The swift account server.

Package: swift-auth
Architecture: all
Depends: swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: a distributed, virtual object store - auth server
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 The swift auth server.

Package: swift-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Description: a distributed, virtual object store - documentation
 OpenStack is free, open source software for building reliable cloud
 infrastructure.
 .
 Swift, a distributed, virtual object store.
 .
 Sphinx documentation for Swift.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build/*

# build with sphinx documentation
override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

override_dh_installdocs:
	dh_installdocs
	rm $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html/_static/jquery.js

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --init-script=swift-container-replicator
	dh_installinit --no-start -pswift-account --init-script=swift-account-replicator
	dh_installinit --no-start -pswift-account --init-script=swift-account-reaper
	dh_installinit --no-start -pswift-object --init-script=swift-object-auditor
	dh_installinit --no-start -pswift-container --init-script=swift-container-auditor
	dh_installinit --no-start -pswift-account --init-script=swift-account-auditor
	dh_installinit --no-start -pswift-object --init-script=swift-object-updater
	dh_installinit --no-start -pswift-object --init-script=swift-object-replicator
	dh_installinit --no-start -pswift-container --init-script=swift-container-updater

=== debian/watch ===
version=3
http://launchpad.net/swift/+download http://launchpad.net/swift/.*/swift-(.*)\.tar\.gz

## swift 1.1.0+bzr173

=== debian/changelog ===
swift (1.1.0+bzr173-0ubuntu1) natty; urgency=low

  * Fresh snapshot.
  * Updated watch file to also know about the new tarballs place.
  * Update Maintainer to point to myself.
  * Add a get-orig-source target to debian/rules.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 15 Jan 2011 00:19:38 +0100

swift (1.0.99+1.1.0rc1-1) unstable; urgency=low

  * New upstream release.
  * Updated to standards version 3.9.1.
  * Use jquery package to provide jquery.js.
  * Updated some of the control file to make lintian happy.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 19 Oct 2010 14:32:17 -0700

swift (1.0.2-7) unstable; urgency=low

  * Added swift-bench to swift package.

 -- Monty Taylor <mordred@inaugust.com>  Mon, 18 Oct 2010 09:14:22 -0700

swift (1.0.2-6) unstable; urgency=low

  * swift-auth-create-account is now swift-auth-add-user.

 -- Greg Holt <gholt@rackspace.com>  Fri, 03 Sep 2010 13:32:20 +0000

swift (1.0.2-5) unstable; urgency=low

  * Add a step in debian/rules to create doc/build if it doesn't exist.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 25 Aug 2010 08:55:45 -0700

swift (1.0.2-4) unstable; urgency=low

  * Fixed the depend on sphinx - it actually only needs to be >= 1.0.
  * Added paste-deploy as a depend.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 24 Aug 2010 12:02:31 -0700

swift (1.0.2-3) unstable; urgency=low

  [ Greg Holt ]
  * Added a png to the docs.

  [ Monty Taylor ]
  * Add rsync and remove duplicate net-tools dependency.
  * Added Jay Payne to uploaders.
  * Added Greg Holt to uploaders.
  * Updated VCS location to use UDD locations. 
  * We actually depend on 1.0 of sphinx.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 24 Aug 2010 00:02:00 -0700

swift (1.0.2-2) unstable; urgency=low

  * Created python-swift package and actually put the python files in it.
  * Added python build dep.
  * Added debhelper token to postinst script. Also removed the
    byte-compiling of the files, since python-support should do that for us.
  * Cleaned up control file - removed homepage entries in description,
    removed trailing periods.
  * Changed provides in swift-proxy to match policy.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 28 Jul 2010 13:32:55 -0700

swift (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Added VCS info to control file.

 -- Monty Taylor <mordred@inaugust.com>  Thu, 22 Jul 2010 18:32:02 -0500

swift (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Monty Taylor <mordred@inaugust.com>  Mon, 19 Jul 2010 11:22:41 -0500

swift (1.0.0-1) unstable; urgency=low

  [ Michael Barton ]
  * Initial release

  [ Monty Taylor ]
  * Added docs to doc system.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 14 Jul 2010 10:41:11 -0500

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Soren Hansen <soren@ubuntu.com>
XSBC-Original-Maintainer: Michael Barton <michael.barton@rackspace.com>
Uploaders: Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>
Build-Depends: debhelper (>= 7.0.50~),
 python-all,
 python-support (>= 0.90),
 python-openssl,
 python-setuptools,
 python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
 python-nose,
 python-pastedeploy,
 python-sphinx (>= 1.0)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/swift
Vcs-Browser: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk


Package: python-swift
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-openssl,
 python-setuptools,
 python-pastedeploy,
 python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
Provides: ${python:Provides}
Description: A distributed virtual object store (python libraries)
 Swift is a distributed virtual object store.
 .
 This package provides the python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: A distributed virtual object store (common files)
 Swift is a distributed virtual object store.

Package: swift-proxy
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: The swift proxy server
 The swift proxy server.

Package: swift-object
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: The swift object server
 The swift object server.

Package: swift-container
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: The swift container server
 The swift container server.

Package: swift-account
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: The swift account server
 The swift account server.

Package: swift-auth
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: The swift auth server
 The swift auth server.

Package: swift-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: The swift documentation
 Sphinx documentation for Swift.

=== debian/watch ===
version=3
http://launchpad.net/swift/+download http://launchpad.net/swift/.*/swift-(.*)\.tar\.gz
http://swift.openstack.org/tarballs/ swift-(.*).tar.gz

## swift 1.3.0

=== debian/changelog ===
swift (1.3.0-0ubuntu1) natty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 15 Apr 2011 08:25:53 -0400

swift (1.3-rc+bzr266-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Apr 2011 09:38:42 -0400

swift (1.2.0+bzr208-0ubuntu1) natty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Apr 2011 10:32:30 -0400

swift (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Updated VC locations in control file.
  * Set maintainer properly for Ubuntu.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 16 Feb 2011 08:50:48 -0800

## swift 1.4-dev+bzr300

=== debian/changelog ===
swift (1.4-dev+bzr300-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 15:57:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,8 @@
 	mkdir -p doc/build
 	python setup.py build_sphinx
 
-override_dh_installdocs:
-	dh_installdocs
-	rm $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html/_static/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html/_static/jquery.js
+get-orig-source:
+	uscan --verbose --force-download --rename --destdir=../build-area
 
 override_dh_installinit:
 	dh_installinit --no-start

## swift 1.4.1~20110615.r304

=== debian/changelog ===
swift (1.4.1~20110615.r304-0ubuntu1) oneiric; urgency=low

  [ Gregory Holt ]
  * Removed swauth references.

  [ Soren Hansen ]
  * st was renamed to swift.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Jun 2011 09:25:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: swift
 Section: net
 Priority: optional
-Maintainer: Soren Hansen <soren@ubuntu.com>
-XSBC-Original-Maintainer: Michael Barton <michael.barton@rackspace.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
 Uploaders: Monty Taylor <mordred@inaugust.com>,
  Greg Holt <gholt@rackspace.com>,
- Jay Payne <letterj@racklabs.com>
+ Jay Payne <letterj@racklabs.com>,
+ Michael Barton <michael.barton@rackspace.com>
 Build-Depends: debhelper (>= 7.0.50~),
  python-all,
  python-support (>= 0.90),
@@ -23,8 +24,8 @@
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/swift
-Vcs-Browser: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk/files
-Vcs-Bzr: http://bazaar.launchpad.net/~swift-core/debian/sid/swift/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/swift/ubuntu
+Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/swift/ubuntu
 
 
 Package: python-swift
@@ -82,13 +83,6 @@
 Description: The swift account server
  The swift account server.
 
-Package: swift-auth
-Architecture: all
-Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: The swift auth server
- The swift auth server.
-
 Package: swift-doc
 Architecture: all
 Section: doc

## swift 1.4.1

=== debian/changelog ===
swift (1.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Jun 2011 13:08:04 -0400

## swift 1.4.2~20110624.319

=== debian/changelog ===
swift (1.4.2~20110624.319-0ubuntu3) oneiric; urgency=low

  * Clean up missing files.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jun 2011 06:30:51 -0400

swift (1.4.2~20110624.319-0ubuntu2) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Jun 2011 14:00:18 -0400

## swift 1.4.3

=== debian/changelog ===
swift (1.4.3-0ubuntu2) oneiric; urgency=low

  [ Adam Gandelman ]
  * debian/patches/backport-change-swift-ring-builder-exit-codes: Standardize
    exit codes now to reduce hassles after future upgrades (LP: #836922)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 30 Sep 2011 15:00:26 -0400

swift (1.4.3-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream release.

  [Monty Taylor]
  * Work around dh_python2 for lucid. (LP: #848971)

 -- Monty Taylor <mordred@inaugust.com>  Fri, 16 Sep 2011 15:40:19 -0400

swift (1.4.3~20110902.354-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Sep 2011 14:10:27 -0400

swift (1.4.3~20110823.347-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Aug 2011 14:11:09 -0400

swift (1.4.3~20110811.341-0ubuntu1) oneiric; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Aug 2011 05:33:16 -0400

swift (1.4.3~20110728.333-0ubuntu1) UNRELEASED; urgency=low

  [ Soren Hansen ]
  * New upstream snapshot.
  * Remove debian-changes patch file.
  * Remove SOURCES.txt in clean target to avoid gettings its changes in
    our diff.gz.
  * Add "status" support to all init scripts.
  * Use "shutdown" instead of "stop" as the action argument for swift-
    init. This shuts down the services gracefully (letting live requests
    finish).
  * Add swift-dispersion-{report,populate} to swift.install.

  [ Thomas Goirand ]
  * Added missing adduser and lsb-base dependency.
  * Made the long description longer (it was really minimalistic).
  * Reworked all Debian init.d scripts.
  * Added many missing manpages.
  * Added default container-server.conf & object-server.conf files.

  [ James Page ]
  * Added debian/python-swift.postrm:  Remove swift user when purging 
    package (LP: #825670).

 -- James Page <james.page@ubuntu.com>  Tue, 16 Aug 2011 10:33:00 +0100

swift (1.4.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control: 
    - Update vcs infomration.
    - Cleaned up build dependencies.
    - Bump standards to version 3.9.2.
  * debian/README.Source: Add doc to upload swift to the ubuntu archive.
  * dh_python2 transition.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Jul 2011 10:39:51 -0400

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders: Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~) | python-support,
 python-openssl,
 python-setuptools,
 python-webob,
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
 python-nose,
 python-pastedeploy,
 python-sphinx (>= 1.0)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/swift
Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/oneiric/swift/ubuntu
Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/oneiric/swift/ubuntu


Package: python-swift
Architecture: all
Section: python
Depends: adduser, ${python:Depends}, ${misc:Depends},
 python-openssl,
 python-setuptools,
 python-pastedeploy,
 python-webob (>= 0.9.7.1~hg20100111-1~racklabs1),
 python-simplejson,
 python-xattr,
 python-netifaces,
 python-greenlet (>= 0.3.1),
 python-eventlet (>= 0.9.8),
Provides: ${python:Provides}
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,17 @@
 # Verbose mode
 #export DH_VERBOSE=1
 
+# Lucid does not have dh_python2, but we would like to be able to use this
+# rules file to build on lucid as well. Thus the branching logic.
+WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")
+
 %:
-	dh $@
+	dh $@ ${WITH_PYTHON2}
 
 # clean sphinx build output
 override_dh_clean:
 	dh_clean
-	rm -rf doc/build/*
+	rm -rf doc/build/* swift.egg-info/SOURCES.txt
 
 # build with sphinx documentation
 override_dh_auto_build:
@@ -17,8 +21,19 @@
 	mkdir -p doc/build
 	python setup.py build_sphinx
 
+override_dh_auto_test:
+	ls -ld /dev/log || true
+	dpkg -l || true
+#	python setup.py test
+
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
+
+override_dh_install:
+	dh_install
+	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
+	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
+	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
 
 override_dh_installinit:
 	dh_installinit --no-start

## swift 1.4.4

=== debian/changelog ===
swift (1.4.4-1) unstable; urgency=low

  * New upstream release.
  * Remove useless provides in control.

 -- Julien Danjou <acid@debian.org>  Thu, 24 Nov 2011 17:17:46 +0100

swift (1.4.3-1) unstable; urgency=low

  * [984c1f2] Imported Upstream version 1.4.3
     - Closes: #629998  no more st binary
  * Some package cleanup and sync with ubuntu pkg

 -- Ghe Rivero <ghe@debian.org>  Tue, 08 Nov 2011 08:25:40 +0100

swift (1.3.0-1) unstable; urgency=low

  * Added missing adduser and lsb-base dependency.
  * Made the long description longer (it was really minimalistic).
  * Reworked all Debian init.d scripts.
  * Added many missing manpages.
  * Added default container-server.conf & object-server.conf files.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 May 2011 09:24:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,12 @@
 Source: swift
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
-Uploaders: Monty Taylor <mordred@inaugust.com>,
- Greg Holt <gholt@rackspace.com>,
- Jay Payne <letterj@racklabs.com>,
- Michael Barton <michael.barton@rackspace.com>,
- Thomas Goirand <zigo@debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Julien Danjou <acid@debian.org>,
+           Thomas Goirand <zigo@debian.org>,
+           Ghe Rivero <ghe@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- python-all (>= 2.6),
- python-all-dev (>= 2.6.6-3~) | python-support,
- python-openssl,
+ python-all (>=2.6.6-3~),
  python-setuptools,
  python-webob,
  python-simplejson,
@@ -25,9 +20,8 @@
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/swift
-Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/oneiric/swift/ubuntu
-Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/oneiric/swift/ubuntu
-
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift.git;a=summary
+Vcs-Git: git://anonscm.debian.org/openstack/swift.git
 
 Package: python-swift
 Architecture: all
@@ -42,8 +36,7 @@
  python-netifaces,
  python-greenlet (>= 0.3.1),
  python-eventlet (>= 0.9.8),
-Provides: ${python:Provides}
-Description: distributed virtual object store - Python libraries
+Description: Distributed virtual object store (Python libraries)
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -69,35 +62,32 @@
 Package: swift
 Architecture: all
 Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: distributed virtual object store - common files
- OpenStack Object Storage (code-named Swift) is open source software for
- creating redundant, scalable object storage using clusters of standardized
- servers to store petabytes of accessible data. It is not a file system or
- real-time data storage system, but rather a long-term storage system for a
- more permanent type of static data that can be retrieved, leveraged, and then
- updated if necessary. Primary examples of data that best fit this type of
- storage model are virtual machine images, photo storage, email storage and
- backup archiving. Having no central "brain" or master point of control
- provides greater scalability, redundancy and permanence.
- .
- Objects are written to multiple hardware devices in the data center, with
- the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by
- adding new nodes. Should a node fail, OpenStack works to replicate its
- content from other active nodes. Because OpenStack uses software logic to
- ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
+Description: Distributed virtual object store (common files)
+ OpenStack Object Storage (code-named Swift) is open source software for
+ creating redundant, scalable object storage using clusters of standardized
+ servers to store petabytes of accessible data. It is not a file system or
+ real-time data storage system, but rather a long-term storage system for a
+ more permanent type of static data that can be retrieved, leveraged, and then
+ updated if necessary. Primary examples of data that best fit this type of
+ storage model are virtual machine images, photo storage, email storage and
+ backup archiving. Having no central "brain" or master point of control
+ provides greater scalability, redundancy and permanence.
+ .
+ Objects are written to multiple hardware devices in the data center, with
+ the OpenStack software responsible for ensuring data replication and
+ integrity across the cluster. Storage clusters can scale horizontally by
+ adding new nodes. Should a node fail, OpenStack works to replicate its
+ content from other active nodes. Because OpenStack uses software logic to
+ ensure data replication and distribution across different devices,
+ inexpensive commodity hard drives and servers can be used in lieu of more
+ expensive equipment.
  .
  This package provides some core binaries and clients to control swift.
 
 Package: swift-proxy
 Architecture: all
-Depends: python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: distributed virtual object store - proxy server
+Depends: swift, python-swift (=${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Swift proxy server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -122,9 +112,8 @@
 
 Package: swift-object
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: distributed virtual object store - object server
+Depends: swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Swift object server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -148,9 +137,8 @@
 
 Package: swift-container
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: distributed virtual object store - container server
+Depends: swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Swift container server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -174,9 +162,8 @@
 
 Package: swift-account
 Architecture: all
-Depends: python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: distributed virtual object store - account server
+Depends: swift, python-swift (=${binary:Version}), rsync, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Swift account server
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
@@ -202,7 +189,7 @@
 Architecture: all
 Section: doc
 Depends: libjs-jquery, ${misc:Depends}
-Description: distributed virtual object store - documentation
+Description: Swift documentation
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or

=== debian/rules ===
--- 
+++ 
@@ -3,31 +3,20 @@
 # Verbose mode
 #export DH_VERBOSE=1
 
-# Lucid does not have dh_python2, but we would like to be able to use this
-# rules file to build on lucid as well. Thus the branching logic.
-WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")
-
 %:
-	dh $@ ${WITH_PYTHON2}
+	dh $@ --with python2
 
 # clean sphinx build output
 override_dh_clean:
 	dh_clean
-	rm -rf doc/build/* swift.egg-info/SOURCES.txt
+	rm -rf swift.egg-info
+	rm -rf doc/build/*
 
 # build with sphinx documentation
 override_dh_auto_build:
 	dh_auto_build
 	mkdir -p doc/build
 	python setup.py build_sphinx
-
-override_dh_auto_test:
-	ls -ld /dev/log || true
-	dpkg -l || true
-#	python setup.py test
-
-get-orig-source:
-	uscan --verbose --force-download --rename --destdir=../build-area
 
 override_dh_install:
 	dh_install
